{
  config.flake.factory.sunshine = user: {
    services.sunshine = {
      enable = true;
      autoStart = true;
      capSysAdmin = true;
      applications = {
        apps = [
          {
            name = "Steam Big Picture";
            detached = [
              "sudo -u ${user} setsid steam steam://open/bigpicture"
            ];
            prep-cmd = [
              {
                do = "";
                undo = "sudo -u ${user} setsid steam steam://close/bigpicture";
              }
            ];
          }
        ];
      };
    };
  };
}
